Subject: Re: bug#54055: texlive-bin fails to build on armhf-linux, breaking guix pull

From: Christopher Baines <[email-masked]>
Date: Fri, 18 Feb 2022 13:26:37 +0000

Christopher Baines <[email-masked]> writes:

> Something I've noticed from data.guix.gnu.org, it fails to compute the
> guix derivation for armhf-linux because texlive-bin fails to build [1]
>
> 1: https://data.guix.gnu.org/job/28674
> phase `check' failed after 820.9 seconds
> command "make" "check" "-j" "8" failed with status 2
> builder for `/gnu/store/hq3r8ayp8ak2p36y016x62f028m4miv1-texlive-bin-20210325.drv' failed with exit code 1
> @ build-failed
> /gnu/store/hq3r8ayp8ak2p36y016x62f028m4miv1-texlive-bin-20210325.drv -
> 1 builder for
> `/gnu/store/hq3r8ayp8ak2p36y016x62f028m4miv1-texlive-bin-20210325.drv'
> failed with exit code 1
> cannot build derivation `/gnu/store/gd3xkfbpfcv03y958ggmgnc150cz4r82-texlive-amsmath-59745.drv': 1 dependencies couldn't be built
> error: while computing manifest entry derivation for armhf-linux
> error %exception: (#<&message message: "You found a bug: the program
> '/gnu/store/s82qcdcxsyr16fp1db8n800jd171vk4v-compute-guix-derivation'\nfailed
> to compute the derivation for Guix (version:
> \"e9f9f291edafaa27fa6d7e9967909555a08d383e\"; system:
> \"armhf-linux\";\nhost version: \"1.3.0-21.e427593\"; pull-version:
> 1).\nPlease report the COMPLETE output above by email to
> <[email-masked]>.\n">)

I forgot an important link, here's a texlive-bin derivation on
data.guix.gnu.org, which links to some logs for failed builds [1]. I'm
not quite sure why the derivation here doesn't match up with the
derivation shown in the log above.

1: https://data.guix.gnu.org/gnu/store/vr6q02wyzjkbk35fkqcqi653csza22mw-texlive-bin-20210325.drv